Last Comment Bug 795349 - Find a way to make /daily work with new "Android" reporting in the short term
: Find a way to make /daily work with new "Android" reporting in the short term
Status: VERIFIED FIXED
[qa-]
:
Product: Socorro
Classification: Server Software
Component: General (show other bugs)
: unspecified
: ARM Android
: -- critical (vote)
: 22
Assigned To: Selena Deckelmann :selenamarie :selena
:
Mentors:
Depends on: 797566
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-28 08:54 PDT by Robert Kaiser (not working on stability any more)
Modified: 2012-10-19 05:43 PDT (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Robert Kaiser (not working on stability any more) 2012-09-28 08:54:15 PDT
If you look at  https://crash-stats.mozilla.com/daily?form_selection=by_version&p=FennecAndroid&v[]=18.0a1&v[]=17.0a2&v[]=16.0b4&v[]=15.0.1&hang_type=any&os[]=Windows&os[]=Mac+OS+X&os[]=Linux&date_range_type=build&date_start=2012-09-13&date_end=2012-09-27&submit=Generate you'll notice that starting with 2012-09-26 this reports you no users.

This is because the new Breakpad version we have in there now reports the OS to be "Android" instead of Linux, see a sample crash report at bp-d0213091-5c3d-42ef-a747-04f942120927 and so they don't get counted against "Linux" there any more. Note that ADUs still get reported as "Linux" though,so this doesn't match.

We should do a short-term fix here to have them somehow show up as "Linux" in the UI (I guess the fix might actually be MWare or DB but I'll leave that up to you guys), until we have the possibility to show Android as Android in future UI.
Comment 1 [:jberkus] Josh Berkus 2012-09-28 09:30:34 PDT
Selena,

Adding a row to os_name_matches would map Android to Linux.
Comment 2 Robert Kaiser (not working on stability any more) 2012-10-03 07:09:56 PDT
Can we please get some progress here?
This is significantly impairing our ability to assess Android stability, and the change that caused this will also make its way into Aurora early next week.
Comment 3 Selena Deckelmann :selenamarie :selena 2012-10-03 12:57:14 PDT
Did this on .stage: 

 insert into os_name_matches values('Linux', 'Android%'); 

Will try to verify that this had the intended effect on /daily per KaiRo's IRC comments.
Comment 4 Matt Brandt [:mbrandt] 2012-10-08 09:20:31 PDT
(In reply to Selena Deckelmann :selena from comment #3)
> Did this on .stage: 
Just checking in -- is the bug ready to be bumped to fixed?
Comment 5 Robert Kaiser (not working on stability any more) 2012-10-08 10:50:26 PDT
(In reply to Selena Deckelmann :selena from comment #3)
> Did this on .stage: 
> 
>  insert into os_name_matches values('Linux', 'Android%'); 
> 
> Will try to verify that this had the intended effect on /daily per KaiRo's
> IRC comments.

Seems not to be the case. :(

This is especially visible on https://crash-stats.allizom.org/daily?form_selection=by_version&p=FennecAndroid&v[]=18.0a1&v[]=17.0a2&v[]=16.0b6&v[]=15.0.1&hang_type=any&os[]=Windows&os[]=Mac+OS+X&os[]=Linux&date_range_type=build&date_start=2012-09-23&date_end=2012-10-07&submit=Generate - we should have numbers for crashes on 18.0a1 for all days, but due to this bug, it goes to 0 starting with 2012-09-26.
Comment 6 Selena Deckelmann :selenamarie :selena 2012-10-09 14:02:18 PDT
This may just be because stage got rebuilt without the data change. 

I'm re-adding it and re-running backfill_matviews to see if this works now.
Comment 7 Selena Deckelmann :selenamarie :selena 2012-10-10 11:23:14 PDT
https://github.com/mozilla/socorro/pull/872 -- solves problems going forward, but to fix old reports, we need to do some backfilling
Comment 8 Selena Deckelmann :selenamarie :selena 2012-10-10 11:54:44 PDT
To prove this worked with a recent matview run: 

select uuid, os_name from reports_clean where uuid in ( select uuid from reports where date_processed > '2012-10-10' and os_name = 'Android' limit 1);

os_name should be "Linux"
Comment 9 [github robot] 2012-10-10 13:25:32 PDT
Commits pushed to master at https://github.com/mozilla/socorro

https://github.com/mozilla/socorro/commit/0af9875cdddc19d88ad6f648f4997d05a87f2ca2
bug 795349 fix for Fennec

https://github.com/mozilla/socorro/commit/837848d73d6ff4ae5176396c43eade0f419cc23f
Merge pull request #872 from selenamarie/795349-tiny-db-fix

bug 795349 fix for Fennec
Comment 10 Robert Kaiser (not working on stability any more) 2012-10-11 12:27:20 PDT
Verified by the data for yesterday having the Android data in the Linux columns.
Comment 11 Matt Brandt [:mbrandt] 2012-10-11 12:28:40 PDT
Great success -- thank you kairo.
Comment 12 Scoobidiver (away) 2012-10-19 05:43:27 PDT
Graphs per builddate for Android crash signatures still show a null line. See https://crash-stats.mozilla.com/report/list?signature=java.lang.NullPointerException%3A%20at%20org.mozilla.gecko.Tabs.loadUrlInTab%28Tabs.java%29#graph

Note You need to log in before you can comment on or make changes to this bug.